/*
 * browserAction APIs
 * ------------
 * Mocked version
 * 
 * See: https://developer.mozilla.org/en-US/Add-ons/WebExtensions/Browser_support_for_JavaScript_APIs#browserAction
 */

const BrowserAction = () => ({
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/browserAction/enable
  enable: () => new Promise.resolve(),
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/browserAction/disable
  disable: () => new Promise.resolve(),
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/browserAction/setIcon
  setIcon: () => new Promise.resolve(),
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/browserAction/setPopup
  setPopup: () => new Promise.resolve(),
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/browserAction/setTitle
  setTitle: () => new Promise.resolve()
});

export default BrowserAction;
