import WebRequest from "./webRequest.js";
import Tabs from "./tabs.js";
import Storage from "./storage.js";
import BrowserAction from "./browserAction.js";
import Runtime from "./runtime.js";

const Driver = function() {
  return {
    webRequest: WebRequest(),
    tabs: Tabs(),
    storage: Storage(),
    browserAction: BrowserAction(),
    runtime: Runtime()
  };
};

export default Driver;
