/*
 * webRequest APIs
 * ---------------
 * Mocked version
 * 
 * See: https://developer.mozilla.org/en-US/Add-ons/WebExtensions/Browser_support_for_JavaScript_APIs#webRequest
 */

const mockFunc = () => {};

const WebRequest = () => ({
  onBeforeRequest: mockFunc,
  onBeforeSendHeaders: mockFunc,
  onSendHeaders: mockFunc,
  onHeadersReceived: mockFunc,
  onAuthRequired: mockFunc,
  onResponseStarted: mockFunc,
  onBeforeRedirect: mockFunc,
  onCompleted: mockFunc,
  onErrorOccurred: mockFunc
});

export default WebRequest;
